<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net7.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <LangVersion>10</LangVersion>
        <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    </PropertyGroup>

    <ItemGroup>
      <Compile Remove="Core\**" />
      <Content Remove="Core\**" />
      <EmbeddedResource Remove="Core\**" />
      <None Remove="Core\**" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="MudBlazor" Version="6.6.0" />
      <PackageReference Include="Serilog.Extensions.Logging" Version="7.0.0" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\SharpRss\SharpRss.csproj" />
    </ItemGroup>

    <ItemGroup>
      <_ContentIncludedByDefault Remove="logs\log_20230507.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230509.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230512.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230513.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230515.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230517.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230518.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230519.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230521.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230522.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230523.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230524.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230525.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230526.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230527.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230529.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230602.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230603.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230604.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230605.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230610.json" />
      <_ContentIncludedByDefault Remove="logs\log_20230611.json" />
    </ItemGroup>

</Project>
